scala.collection.jcl.ArrayList
trait Projection0

[source: `scala/collection/jcl/ArrayList.scala`]

`` `trait` Projection0[A]
  `extends` Projection[A]`with` Projection[A]

Direct Known Subclasses:
  ArrayList.Projection0.MapProjection, ArrayList.Projection

Method Summary
`override def` | elements : SeqIterator[Int, A] The default implementation of a map over mutable iterable collections.
`override def` | map [B](f : (A) => B) : Projection0[B] non-strict
`override def` | projection : Projection0[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Projection
force, append

Methods inherited from RandomAccessSeq
drop, take, slice, reverse, ++, toStream, safeIs

Methods inherited from Projection
filter

Methods inherited from Projection
flatMap, takeWhile

Methods inherited from MutableSeq
isEmpty, apply, indexOf, length

Methods inherited from MutableIterable
has, remove, removeAll, --, -, retain, retainAll, size0, clear

Methods inherited from Seq
lengthCompare, size, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | MapProjection [B](f : (A) => B)`extends` MapProjection[B]`with` Projection0[B]

Method Details

`override` `def` projection : Projection0[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Projection.projection, Projection.projection

`override` `def` elements : SeqIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

`override` `def` map[B](f : (A) => B) : Projection0[B]

  non-strict

Overrides
  Projection.map, Projection.map